import 'package:doctor_app_flutter/config/size_config.dart';
import 'package:flutter/foundation.dart';
import 'package:flutter/material.dart';
import 'package:hexcolor/hexcolor.dart';

class BottomSheetContainer extends StatelessWidget {
  final Function? onTap;
  final String? label;
  final Widget? widget;
  double headerHeight = SizeConfig.heightMultiplier! * 12;

  BottomSheetContainer({Key? key, this.onTap, this.label, this.widget})
      : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Container(
      decoration: BoxDecoration(
        color: Colors.white,
        borderRadius: BorderRadius.all(
          Radius.circular(0.0),
        ),
        border: Border.all(color: HexColor('#EFEFEF'), width: 1),
      ),
      height: headerHeight,
      width: double.infinity,
      child: Column(
        children: [
          Container(
            margin: EdgeInsets.only(
                top: headerHeight * (SizeConfig.isWidthLarge ? 0.3 : 0.2),
                left: SizeConfig.heightMultiplier! * 4.5),
            child: Center(
                child: Row(
              children: [
                widget!,
              ],
            )),
          ),
          SizedBox(
            height: 5,
          ),
        ],
      ),
    );
  }

  @override
  void debugFillProperties(DiagnosticPropertiesBuilder properties) {
    super.debugFillProperties(properties);
    properties.add(DiagnosticsProperty<Function>('onTap', onTap));
  }
}
